Logos won't open. Says I must upgrade to 9.4. I have version 9!!!!

Page 1 of 1 (16 items)
This post has 15 Replies | 1 Follower

Posts 367
Charlene | Forum Activity | Posted: Sat, Apr 17 2021 7:05 AM

Logos won't open even to use offline. Instead, I get a popup window that says: "An upgrade is required. Some of your resources and documents are not compatible with this version. To continue using Logos Bible Software, upgrade to version 9.4 or later. To install the latest version, visit https://www.logos.com/install."

At that link it instructs me to download Logos 9, which I already have! I have to do an entire download from scratch? Is this some sort of bug that has just occurred? I really don't have time for this to happen this morning! Wished we had been given some advance warning AND not forced to download immediately.

Is anyone else having this problem?

Posts 367
Charlene | Forum Activity | Replied: Sat, Apr 17 2021 7:19 AM

I had to go ahead and bite the bullet and "upgrade" to Logos 9.4 and install Logos 9. Fortunately it did not do a "complete re-install" and only took about 5 minutes. BUT Logos should have warned us about this and not locking us out of our software (basically that is what occurred) and allowed us to UPDATE when it was convenient for us. It would have been nice to get an email that said that this was going to occur and that it would only take a few minutes.

Posts 30488
Forum MVP
JT (alabama24) | Forum Activity | Replied: Sat, Apr 17 2021 7:25 AM

Charlene:
BUT Logos should have warned us about this and not locking us out of our software (basically that is what occurred) and allowed us to UPDATE when it was convenient for us.

This was unique to you and your situation. FL did not push out a required update. 

macOS, iOS & iPadOS | Logs |  Install

Posts 1182
DMB | Forum Activity | Replied: Sat, Apr 17 2021 8:48 AM

JT (alabama24):
This was unique to you and your situation. FL did not push out a required update. 

Thought something like this has happened before, where the Logos code detects later content (9.4), relative to earlier software (9.3), thereby risking a meltdown in user-content ... ergo the hard message.

Of couse, the question then would be, how 9.4 content leaked into a 9.3 installation (and why a minor upgrade could do this).

At least, Charlene could upgrade (access to internet). 

Posts 367
Charlene | Forum Activity | Replied: Sat, Apr 17 2021 8:49 AM

JT (alabama24):
This was unique to you and your situation. FL did not push out a required update. 

How strange! I had the latest version with all updates as of yesterday and I used it without any problem. I did purchase 3 books this morning from Logos and shortly after that, I opened (or at least tried to open) Logos and I got that popup window requiring me to download the latest version! Really weird.

Posts 367
Charlene | Forum Activity | Replied: Sat, Apr 17 2021 8:52 AM

DMB:
At least, Charlene could upgrade (access to internet). 

So true! If I had been overseas and preparing to teach and could not have opened my Bible software, I might have gotten REALLY frustrated! Cool

Posts 1198
Dale E Heath | Forum Activity | Replied: Sat, Apr 17 2021 1:28 PM

Charlene:

JT (alabama24):
This was unique to you and your situation. FL did not push out a required update. 

How strange! I had the latest version with all updates as of yesterday and I used it without any problem. I did purchase 3 books this morning from Logos and shortly after that, I opened (or at least tried to open) Logos and I got that popup window requiring me to download the latest version! Really weird.

Just speculating, but if you had not had Internet access, I don't think you would have gotten the blocking message.

Posts 367
Charlene | Forum Activity | Replied: Sat, Apr 17 2021 1:35 PM

Dale E Heath:
Just speculating, but if you had not had Internet access, I don't think you would have gotten the blocking message.

Hopefully it will not happen again. But, if it does, I will try to remember to disable my internet connection and see if that works! Cool

Posts 5870
Forum MVP
Mike Binks | Forum Activity | Replied: Sun, Apr 18 2021 1:33 AM

Hi Charlene

Charlene:
Fortunately it did not do a "complete re-install" and only took about 5 minutes.

This is pretty standard for the engine updates. They should happen quite quickly. On my system the actual installation of a new version of the software takes a good deal less than 5 minutes. Some background indexing often follows but that does not affect use.

I there a reason that you resisted upgrading to 9.4?

tootle pip

Mike

How to get logs and post them. (now tagging post-apocalyptic fiction as current affairs)

Posts 367
Charlene | Forum Activity | Replied: Sun, Apr 18 2021 7:10 AM

Mike Binks:

This is pretty standard for the engine updates. They should happen quite quickly. On my system the actual installation of a new version of the software takes a good deal less than 5 minutes. Some background indexing often follows but that does not affect use.

I there a reason that you resisted upgrading to 9.4?

Hi Mike,

I'm afraid you have misunderstood. I have my software set to do automatic downloads and update, so I have not "resisted" upgrading to 9.4. For some reason this time, it did not allow the software to even open, in order to do the update. Instead I had to go to the Logos site and it appeared that I had to download Logos 9 (which I already had installed!). What was disconcerting to me, was that it was acting as if I had an old version of Logos installed on my computer, which I did not. It was the latest as of the previous day.

Posts 5870
Forum MVP
Mike Binks | Forum Activity | Replied: Sun, Apr 18 2021 11:00 AM

Thanks for explaining Charlene.

That was indeed an odd experience I do hope it doesn't recur.

tootle pip

Mike

How to get logs and post them. (now tagging post-apocalyptic fiction as current affairs)

Posts 3033
LogosEmployee
Andrew Batishko | Forum Activity | Replied: Mon, Apr 19 2021 8:53 AM

This message occurs when you run a newer version of the software (such as a beta), then attempt to run an older version of the software without fully uninstalling the newer version.

If this is not the case for you, then it's not clear what caused this error to occur, but please let us know if it happens again.

Andrew Batishko | Faithlife software developer

Posts 367
Charlene | Forum Activity | Replied: Mon, Apr 19 2021 9:05 AM

Andrew Batishko (Faithlife):

This message occurs when you run a newer version of the software (such as a beta), then attempt to run an older version of the software without fully uninstalling the newer version.

If this is not the case for you, then it's not clear what caused this error to occur, but please let us know if it happens again.

I wasn't running any beta version....just whatever "updates" automatically occur when I open my Logos on a daily basis. That's the setting that I have it on....the only thing I know that was "different" than the day before when I used it without any problem, was that I bought 3 resources that morning. And then I opened Logos and that is when I got that message requiring me to go and download the latest version. But that shouldn't have caused a problem.

Just in case that it was, here are the three resources that I bought:

1) Answers to Tough Questions

2) Jesus and His World

3) The Essential Bible Companion to the Psalms

Posts 1182
DMB | Forum Activity | Replied: Mon, Apr 19 2021 9:33 AM

Charlene:

Just in case that it was, here are the three resources that I bought:

1) Answers to Tough Questions

2) Jesus and His World

3) The Essential Bible Companion to the Psalms

Well, there you go ... Tough Questions requires Logos 9.3 or earlier. But the answers (which are unavoidably really tough) requires 9.4 (which you already had, but maybe it wasn't quite sure).  Smiling.

Hope your purchases are enjoyed, this fine spring day.

Posts 367
Charlene | Forum Activity | Replied: Mon, Apr 19 2021 9:48 AM

DMB:
Well, there you go ... Tough Questions requires Logos 9.3 or earlier. But the answers (which are unavoidably really tough) requires 9.4 (which you already had, but maybe it wasn't quite sure).  Smiling.

Big Smile

Posts 30488
Forum MVP
JT (alabama24) | Forum Activity | Replied: Mon, Apr 19 2021 10:14 AM

Andrew Batishko (Faithlife):
then it's not clear what caused this error to occur

It seems to me that we have had a few of these threads, but not many. I wonder if the app somehow failed to fully install the update... even something as silly as not replacing the icon shortcut. 

macOS, iOS & iPadOS | Logs |  Install

Page 1 of 1 (16 items) | RSS